org.springframework.remoting.support

## Class UrlBasedRemoteAccessor

- java.lang.Object
- - org.springframework.remoting.support.RemotingSupport
  - - org.springframework.remoting.support.RemoteAccessor
    - - org.springframework.remoting.support.UrlBasedRemoteAccessor

All Implemented Interfaces:
  Aware, BeanClassLoaderAware, InitializingBean

Direct Known Subclasses:
  BurlapClientInterceptor, HessianClientInterceptor, RemoteInvocationBasedAccessor

    public abstract class UrlBasedRemoteAccessor
    extends RemoteAccessor
    implements InitializingBean

Abstract base class for classes that access remote services via URLs. Provides a "serviceUrl" bean property, which is considered as required.

Since:
  15.12.2003
Author:
  Juergen Hoeller

### Field Summary

### Fields inherited from class org.springframework.remoting.support.RemotingSupport

`logger`

### Constructor Summary

Constructors
Constructor and Description
`UrlBasedRemoteAccessor()`

### Method Summary

Methods
`void` `afterPropertiesSet()` Invoked by a BeanFactory after it has set all bean properties supplied (and satisfied BeanFactoryAware and ApplicationContextAware).
`String` `getServiceUrl()` Return the URL of this remote accessor's target service.
`void` `setServiceUrl(String serviceUrl)` Set the URL of this remote accessor's target service.

### Methods inherited from class org.springframework.remoting.support.RemoteAccessor

`getServiceInterface, setServiceInterface`

### Methods inherited from class org.springframework.remoting.support.RemotingSupport

`getBeanClassLoader, overrideThreadContextClassLoader, resetThreadContextClassLoader, setBeanClassLoader`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### UrlBasedRemoteAccessor

    public UrlBasedRemoteAccessor()

### Method Detail

#### setServiceUrl

    public void setServiceUrl(String serviceUrl)

Set the URL of this remote accessor's target service. The URL must be compatible with the rules of the particular remoting provider.

#### getServiceUrl

    public String getServiceUrl()

Return the URL of this remote accessor's target service.

#### afterPropertiesSet

    public void afterPropertiesSet()

Description copied from interface: `InitializingBean`
Invoked by a BeanFactory after it has set all bean properties supplied (and satisfied BeanFactoryAware and ApplicationContextAware).

This method allows the bean instance to perform initialization only possible when all bean properties have been set and to throw an exception in the event of misconfiguration.

Specified by:
  `afterPropertiesSet` in interface `InitializingBean`